Post Compatible Subnets Async

Post Compatible Subnets Async

Sets which subnet to use to link accounts and finishes the linking process via a task

Request
URI
POST
https://vmc.vmware.com/vmc/api/orgs/{org}/account-link/compatible-subnets-async
COPY
Path Parameters
string
org
Required

Organization identifier.


Request Body

The subnet chosen by the customer

AwsSubnet of type(s) application/json
Required
{
    "availability_zone": "string",
    "vpc_id": "string",
    "connected_account_id": "string",
    "name": "string",
    "subnet_id": "string",
    "is_compatible": false,
    "region_name": "string",
    "subnet_cidr_block": "string",
    "vpc_cidr_block": "string"
}
string
availability_zone
Optional

The availability zone this subnet is in, which should be the region name plus one extra letter (ex. us-west-2a).

string
vpc_id
Optional

The VPC ID the subnet resides in within AWS. Tends to be 'vpc-#######'.

string
connected_account_id
Optional

The connected account ID this subnet is accessible through. This is an internal ID formatted as a UUID specific to Skyscraper.

string
name
Optional

Optional field (may not be provided by AWS), indicates the found name tag for the subnet.

string
subnet_id
Optional

The subnet ID in AWS, provided in the form 'subnet-######'.

boolean
is_compatible
Optional

Flag indicating whether this subnet is compatible. If true, this is a valid choice for the customer to deploy a SDDC in.

string
region_name
Optional

The region this subnet is in, usually in the form of country code, general location, and a number (ex. us-west-2).

string
subnet_cidr_block
Optional

The CIDR block of the subnet, in the form of '#.#.#.#/#'.

string
vpc_cidr_block
Optional

The CIDR block of the VPC, in the form of '#.#.#.#/#'.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Task of type(s) application/json
This response body class contains all of the following: AbstractEntity
{
    "updated_by_user_name": "string",
    "updated_by_user_id": "string",
    "user_id": "string",
    "user_name": "string",
    "created": "string",
    "id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
    "updated": "string",
    "version": 5,
    "error_message": "string",
    "localized_error_message": "string",
    "progress_percent": 75,
    "parent_task_id": "string",
    "sub_status": "string",
    "phase_in_progress": "string",
    "org_type": "string",
    "end_time": "string",
    "resource_type": "string",
    "end_resource_entity_version": 5,
    "start_time": "string",
    "task_progress_phases": [
        {
            "progress_percent": 0,
            "name": "string",
            "id": "string"
        }
    ],
    "org_id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
    "start_resource_entity_version": 0,
    "resource_id": "string",
    "correlation_id": "string",
    "task_type": "string",
    "task_version": "string",
    "service_errors": [
        {
            "original_service_error_code": "string",
            "default_message": "string",
            "original_service": "string",
            "localized_message": "string"
        }
    ],
    "estimated_remaining_minutes": 4,
    "status": "string"
}

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure